<?php
 echo 'abs(-4.2)='.abs(-4.2).PHP_EOL;
 echo 'acos(0.5)='.acos(0.5).PHP_EOL;
 echo 'acosh(7.5)='.acosh(7.5).PHP_EOL;
 echo 'asin(0.5)='.asin(0.5).PHP_EOL;
 echo 'asinh(7.5)='.asinh(7.5).PHP_EOL;
 echo 'atan2(3,10)='.atan2(3,10).PHP_EOL;
 echo 'atan(0.5)='.atan(0.5).PHP_EOL;
 echo 'atanh(0.5)='.atanh(0.5).PHP_EOL;
 echo 'base_convert(\'A3F4\',16,2)='.base_convert('A3F4',16,2).PHP_EOL;
 var_dump(base_convert('A3F4',16,2));
 echo 'bindec(\'11111001\')='.bindec('11111001').PHP_EOL;
 var_dump(bindec('11111001'));
 echo 'ceil(4.6)='.ceil(4.6).PHP_EOL;
 echo 'cos(0.9)='.cos(0.9).PHP_EOL;
 echo 'cosh(-3.5)='.cosh(-3.5).PHP_EOL;
 echo 'decbin(-28)='.decbin(-28).PHP_EOL;
 var_dump(decbin(-28));
 echo 'dechex(-28)='.dechex(-28).PHP_EOL; 
 var_dump(dechex(-28));
 echo 'decoct(-28)='.decoct(-28).PHP_EOL; 
 var_dump(decoct(-28));
 echo 'deg2rad(45)='.deg2rad(45).PHP_EOL; 
 var_dump(deg2rad(45));
 echo 'exp(4.23)='.exp(4.23).PHP_EOL; 
 var_dump(exp(4.23));
 echo 'expm1(4.23)='.expm1(4.23).PHP_EOL; 
 var_dump(expm1(4.23));
 echo 'floor(4.6)='.floor(4.6).PHP_EOL;
 echo 'fmod(5.7,1.3)='.fmod(5.7,1.3).PHP_EOL; 
 var_dump(fmod(5.7,1.3));
 echo 'getrandmax()='.getrandmax().PHP_EOL; 
 var_dump(getrandmax());
 echo 'dechex(\'AE\')='.hexdec('AE').PHP_EOL; 
 var_dump(hexdec('AE'));
 echo 'hypot(1.2,2.5)='.hypot(1.2,2.5).PHP_EOL; 
 var_dump(hypot(1.2,2.5));
 echo 'is_finite(0.7)='.is_finite(0.7).PHP_EOL; 
 var_dump(is_finite(0.7));
 $x=log(0);
 echo 'is_finite(log(0))='.is_finite($x).PHP_EOL; 
 var_dump(is_finite($x));
 echo 'is_infinite(log(0))='.is_infinite($x).PHP_EOL; 
 var_dump(is_infinite($x));
 $x=acos(8);
 echo 'is_nan(acos(8))='.is_nan($x).PHP_EOL; 
 var_dump(is_nan($x));
 echo 'lcg_value()='.lcg_value().PHP_EOL; 
 var_dump(lcg_value());
 echo 'log10(3.5)='.log10(3.5).PHP_EOL; 
 var_dump(log10(3.5));

 echo 'log(3.5)='.log(3.5).PHP_EOL; 
 var_dump(log(3.5)); 
 echo 'log1p(2.5)='.log1p(2.5).PHP_EOL; 
 var_dump(log1p(2.5));
 
 echo 'max(1,2.5)='.max(1,2.5).PHP_EOL; 
 var_dump(max(1,2.5));
 echo 'max(1,"3.5")='.max(1,"3.5").PHP_EOL; 
 var_dump(max(1,"3.5")); 
 echo 'max(1,2)='.max(1,2).PHP_EOL; 
 var_dump(max(1,2));
 $val = max(array(2,3,4),array(1,0,2,1)); // array(1,0,2,1);
 var_dump($val);
 $val = max(array(2,5,2),array(2,5,4)); // array(2,5,4)
 var_dump($val);
 
 echo 'min(1,2.5)='.min(1,2.5).PHP_EOL; 
 var_dump(min(1,2.5));
 echo 'min("2.5",4.7)='.min("2.5",4.7).PHP_EOL; 
 var_dump(min("2.5",4.7));  
 echo 'min(1,2)='.min(1,2).PHP_EOL; 
 var_dump(min(1,2));
 $val = min(array(2,3,4),array(1,0,2,1)); // array(2,3,4);
 var_dump($val);
 $val = min(array(2,5,2),array(2,5,4)); // array(2,5,2)
 var_dump($val);
 
 echo 'mt_getrandmax='.mt_getrandmax().PHP_EOL; 
 var_dump(mt_getrandmax());
 echo 'mt_rand='.mt_rand().PHP_EOL; 
 var_dump(mt_rand());
 echo 'mt_rand(1,5)='.mt_rand(1,5).PHP_EOL; 
 var_dump(mt_rand(1,5));
 echo 'mt_srand((double) microtime() * 1000000)='.PHP_EOL;
 mt_srand((double) microtime() * 1000000);
 echo 'mt_rand='.mt_rand().PHP_EOL;
 var_dump(mt_rand());
 
 echo 'octdec='.octdec('77').PHP_EOL; 
 var_dump(octdec('77'));

 echo 'pi()='.pi().PHP_EOL; 
 var_dump(pi());
 
 echo 'pow(4.5,3)='.pow(4.5,3).PHP_EOL; 
 var_dump(pow(4.5,3));
 echo 'pow(4,3)='.pow(4,3).PHP_EOL; 
 var_dump(pow(4,3));
 echo 'pow(4.5,3.5)='.pow(4.5,3.5).PHP_EOL; 
 var_dump(pow(4.5,3.5));
 
 echo 'rad2deg(0.785)='.rad2deg(0.785).PHP_EOL; 
 var_dump(rad2deg(0.785));

echo 'round(3.4)='.round(3.4).PHP_EOL;         // 3
var_dump(round(3.4));         
echo 'round(3.5)='.round(3.5).PHP_EOL;         // 4
var_dump(round(3.5)); 
echo 'round(3.6)='.round(3.6).PHP_EOL;         // 4
echo 'round(3.6,0)='.round(3.6,0).PHP_EOL;      // 4
echo 'round(2.95583,2)='.round(2.95583,2).PHP_EOL;  // 2.96
echo 'round(2341757,-3)='.round(2341757,-3).PHP_EOL; // 2342000
echo 'round(5.045,2)='.round(5.045,2).PHP_EOL;    // 5.05
echo 'round(6.055,2)='.round(6.055,2).PHP_EOL;    // 6.06

echo round(9.5, 0, PHP_ROUND_HALF_UP).PHP_EOL;   // 10
echo round(9.5, 0, PHP_ROUND_HALF_DOWN).PHP_EOL; // 9
echo round(9.5, 0, PHP_ROUND_HALF_EVEN).PHP_EOL; // 10
echo round(9.5, 0, PHP_ROUND_HALF_ODD).PHP_EOL;  // 9

echo round(8.5, 0, PHP_ROUND_HALF_UP).PHP_EOL;   // 9
echo round(8.5, 0, PHP_ROUND_HALF_DOWN).PHP_EOL; // 8
echo round(8.5, 0, PHP_ROUND_HALF_EVEN).PHP_EOL; // 8
echo round(8.5, 0, PHP_ROUND_HALF_ODD).PHP_EOL;  // 9

echo 'sin(-0.9)='.sin(-0.9).PHP_EOL;
echo 'sinh(-3.5)='.sinh(-3.5).PHP_EOL;
echo 'sqrt(3.5)='.sqrt(3.5).PHP_EOL;
echo 'tan(M_PI_4)='.tan(M_PI_4).PHP_EOL; // 1
echo 'tan(M_PI_4)='.tanh(M_PI_4).PHP_EOL; // 0.65579420263267
?>